IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_273_startmessage_3375]') AND type = 'P')
DROP PROCEDURE [dbo].[order_273_startmessage_3375]
GO

-- 生成时间:2018-11-29 10:43:43 by ebs-core  
create  procedure order_273_startmessage_3375(
     @cmpid int, 
     @ordid bigint,
     @jbid bigint
  ) 
  as  
  begin  
set nocount on  
SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED

------ 给执行人发消息  ----------  

insert into ebs_kernel.dbo.pub_message(msg_cmpid,msg_mpid,msg_text,msg_senddate,msg_type,msg_target,msg_cuid)  
select @cmpid,40,'【'+ord_creator+'】进行了'+ord_mdbh+'的申诉，请你及时进行处理'
+'{title}店面申诉:'+ord_type+char(9)+
+'{url}/order/biztop.mobile.htm?crmid='+CONVERT(varchar,ord_bizid)+'&ordid='+CONVERT(varchar,ord_id)+'&jbid='+CONVERT(varchar,jb_id),getdate(),'DING',substring(cu_ding , 22,50)    ,cu_id 
from order_273 with(nolock) ,mps_job with(nolock) ,mps_login with(nolock) ,mps_job_users with(nolock)  
where  ord_id=@ordid and  jb_id=@jbid and  jp_type='wrkexecutor' and jp_jbid=@jbid and jp_cuid=cu_id and 
cu_type=0 and cu_ding>'' 

------ 给监督人发消息  ----------  

------ 给协作人发消息  ----------  

------ 给知会人发消息  ----------  

------ 给日志参与人发消息  ----------  

------ 给员工1发消息  ----------  

------ 给员工2发消息  ----------  

------ 给员工3发消息  ----------  


set nocount off  
end